# TODO:
# - create more subpackages? (vamp-sdk, vamp-hostsdk)
#
%define		srcname	vamp-plugin-sdk
Summary:	vamp - API for audio analysis and feature extraction plugins
Summary(pl.UTF-8):	vamp - API dla wtyczek analizy i wydobywania cech dźwięku
Name:		vamp
Version:	2.10.0
Release:	1
License:	MIT
Group:		Libraries
#Source0Download: https://code.soundsoftware.ac.uk/projects/vamp-plugin-sdk/files
Source0:	https://code.soundsoftware.ac.uk/attachments/download/2691/%{srcname}-%{version}.tar.gz
# Source0-md5:	848f7ac0227b5c783bee0dd7a5cb3642
Patch0:		%{name}-link.patch
# for plugins: http://www.vamp-plugins.org/
URL:		https://code.soundsoftware.ac.uk/projects/vamp-plugin-sdk
BuildRequires:	libsndfile-devel
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		vampplugindir	%{_libdir}/vamp

%description
Vamp is an audio processing plugin system for plugins that extract
descriptive information from audio data - typically referred to as
audio analysis plugins or audio feature extraction plugins.

%description -l pl.UTF-8
Vamp to system wtyczek przetwarzających dźwięk dla wtyczek
wydobywających informacje opisowe z danych dźwiękowych - przeważnie
nazywane wtyczkami analizy dźwięku lub wtyczkami wydobywającymi cechy
dźwięku.

%package devel
Summary:	Header files for vamp library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki vamp
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel >= 6:4.7

%description devel
Header files for vamp library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki vamp.

%package static
Summary:	Static vamp library
Summary(pl.UTF-8):	Statyczna biblioteka vamp
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static vamp library.

%description static -l pl.UTF-8
Statyczna biblioteka vamp.

%package plugins-example
Summary:	Example vamp plugins
Summary(pl.UTF-8):	Przykładowe wtyczki vampa
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description plugins-example
Example vamp plugins.

%description plugins-example -l pl.UTF-8
Przykładowe wtyczki vampa.

%prep
%setup -q -n %{srcname}-%{version}
%patch0 -p1

%build
%configure
%{__make} \
	CXX="%{__cxx}" \
	LDFLAGS="%{rpmcxxflags} %{rpmldflags}" \
	INSTALL_SDK_LIBS="%{_libdir}" \
	INSTALL_PLUGINS="%{vampplugindir}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	INSTALL_SDK_LIBS="%{_libdir}" \
	INSTALL_PLUGINS="%{vampplugindir}" \
	INSTALL_PKGCONFIG="%{_pkgconfigdir}"

# obsoleted by pkg-config; also, not real libtool files
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libvamp-*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGELOG COPYING README README.compat
%attr(755,root,root) %{_bindir}/vamp-simple-host
%attr(755,root,root) %{_libdir}/libvamp-hostsdk.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libvamp-hostsdk.so.3
%attr(755,root,root) %{_libdir}/libvamp-sdk.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libvamp-sdk.so.2
%dir %{vampplugindir}

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/vamp-rdf-template-generator
%attr(755,root,root) %{_libdir}/libvamp-hostsdk.so
%attr(755,root,root) %{_libdir}/libvamp-sdk.so
%{_includedir}/vamp
%{_includedir}/vamp-hostsdk
%{_includedir}/vamp-sdk
%{_pkgconfigdir}/vamp.pc
%{_pkgconfigdir}/vamp-hostsdk.pc
%{_pkgconfigdir}/vamp-sdk.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libvamp-hostsdk.a
%{_libdir}/libvamp-sdk.a

%files plugins-example
%defattr(644,root,root,755)
%attr(755,root,root) %{vampplugindir}/vamp-example-plugins.so
%{vampplugindir}/vamp-example-plugins.cat
%{vampplugindir}/vamp-example-plugins.n3
%changelog
* Tue Jan 12 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/vamp.git;a=log;h=master

* Mon Jan 11 2021 Jakub Bogusz <qboosh@pld-linux.org> 50e4c20
- updated to 2.10.0 (C++11 now)

* Fri Apr 26 2019 Jakub Bogusz <qboosh@pld-linux.org> 95d67f4
- updated to 2.8.0

* Fri Oct 19 2018 Jakub Bogusz <qboosh@pld-linux.org> b78b92c
- updated to 2.7.1

* Sat Oct 17 2015 Jakub Bogusz <qboosh@pld-linux.org> e7dabe4
- remove .la files which libtool doesn't even recognize; release 2

* Sat Oct 17 2015 Jakub Bogusz <qboosh@pld-linux.org> efd6fcd
- new URLs, updated to 2.6

* Sun May 08 2011 Jakub Bogusz <qboosh@pld-linux.org> a6f8170
- updated to 2.2.1
- removed obsolete gcc4 patch, added link patch
- package remaining files
- License is MIT
- devel R: libstdc++-devel

* Sat Feb 27 2010 sparky <sparky@pld-linux.org> 939a82c
- fixed build on 64 bits

* Fri Feb 05 2010 Szymon Siwek <sls@pld-linux.org> d8f6e00
- adapterized

* Thu Feb 04 2010 Szymon Siwek <sls@pld-linux.org> 57b827f
- obsolate in version 2.1

* Thu Feb 04 2010 Szymon Siwek <sls@pld-linux.org> 7fbb851
- update patches: install, optflags, link OUT, gcc4 IN
- more verbose files
- now using ./configure
- updated BR
- rel. 1
- more TODO

* Thu Feb 04 2010 Szymon Siwek <sls@pld-linux.org> 00e1f21
- ver. 2.1 (NFY)

* Sun Nov 25 2007 Szymon Siwek <sls@pld-linux.org> 2b612ff
- updated to ver. 1.1

* Sun Nov 25 2007 Szymon Siwek <sls@pld-linux.org> 8aa28d0
- ver. 1.1
- added link.patch

* Sun Nov 25 2007 Szymon Siwek <sls@pld-linux.org> 4402401
- let's dependent programs links libvamp*.so.1.0.0, not libvamp*.so

* Sun Jun 17 2007 Szymon Siwek <sls@pld-linux.org> 14ba866
- added subpackage plugins-example
- rel. 0.9
- TODO updates

* Sat Jun 16 2007 Paweł Sikora <pluto@pld-linux.org> f73e770
- fix typo in summary(pl).

* Sat Jun 16 2007 Paweł Sikora <pluto@pld-linux.org> 6e9b1ab
- fix libdirs in install and .pc (x86-64 related).

* Sat Jun 16 2007 Paweł Sikora <pluto@pld-linux.org> 5283520
- kill static linking.

* Sat Jun 16 2007 Paweł Sikora <pluto@pld-linux.org> 663254c
- fix hardcoded cxxflags, pass -fpic 'coz it's a shared library.

* Thu Apr 05 2007 Jakub Bogusz <qboosh@pld-linux.org> ef6f5c3
- pl desc

